org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class VariableBasedAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.VariableBasedAction

Direct Known Subclasses:
  LoadFullValueAction, OpenFunctionAction, WatchPropertyDescriptor

    public abstract class VariableBasedAction
    extends java.lang.Object

Base implementation for generic actions for Variables and Expressions views. Its inner state is `Runnable` value: on selection change runnable is calculated, if it's null action is disabled; if it's not-null action is enabled and can be executed.

### Nested Class Summary

Nested Classes
`static class` `VariableBasedAction.ElementHandler`
`static interface` `VariableBasedAction.VariableWrapper`

### Field Summary

Fields
`static VariableBasedAction.ElementHandler` `EXPRESSION_VIEW_ELEMENT_HANDLER`
`static VariableBasedAction.ElementHandler` `VARIABLE_VIEW_ELEMENT_HANDLER`

### Constructor Summary

Constructors
`protected` `VariableBasedAction(VariableBasedAction.ElementHandler elementHandler)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.Runnable` `createRunnable(VariableBasedAction.VariableWrapper wrapper)`
`void` `dispose()`
`void` `init(IAction action)`
`void` `run(IAction action)`
`void` `runWithEvent(IAction action, Event event)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### VARIABLE_VIEW_ELEMENT_HANDLER

    public static final VariableBasedAction.ElementHandler VARIABLE_VIEW_ELEMENT_HANDLER

#### EXPRESSION_VIEW_ELEMENT_HANDLER

    public static final VariableBasedAction.ElementHandler EXPRESSION_VIEW_ELEMENT_HANDLER

### Constructor Detail

#### VariableBasedAction

    protected VariableBasedAction(VariableBasedAction.ElementHandler elementHandler)

### Method Detail

#### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

#### run

    public void run(IAction action)

#### dispose

    public void dispose()

#### init

    public void init(IAction action)

#### runWithEvent

    public void runWithEvent(IAction action,
                             Event event)

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

#### createRunnable

    protected abstract java.lang.Runnable createRunnable(VariableBasedAction.VariableWrapper wrapper)